net.minecraft.client.mco

## Class McoClient

- java.lang.Object
- - net.minecraft.client.mco.McoClient

-     public class McoClient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `McoClient(Session par1Session)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorldTemplateList` | `func_111231_d()`
    `BackupList` | `func_111232_c(long par1)`
    `Boolean` | `func_111233_e(long par1, String par3Str)`
    `void` | `func_111235_c(long par1, String par3Str)`
    `int` | `func_130106_e()`
    `void` | `func_130107_a(String par1Str)`
    `PendingInvitesList` | `func_130108_f()`
    `void` | `func_130109_b(String par1Str)`
    `Boolean` | `func_140054_c()`
    `void` | `func_140055_c(long par1)`
    `McoServerAddress` | `func_96374_a(long par1)`
    `Boolean` | `func_96375_b()`
    `Boolean` | `func_96376_d(long par1, String par3Str)`
    `Boolean` | `func_96378_c(long par1)`
    `int` | `func_96379_c()`
    `void` | `func_96381_a(long par1, String par3Str)`
    `ValueObjectList` | `func_96382_a()`
    `Boolean` | `func_96383_b(long par1)`
    `void` | `func_96384_a(long par1, String par3Str, String par4Str, int par5, int par6)`
    `void` | `func_96386_a(String par1Str, String par2Str, String par3Str, String par4Str)`
    `McoServer` | `func_96387_b(long par1, String par3Str)`
    `McoServer` | `func_98176_a(long par1)`
    `ValueObjectSubscription` | `func_98177_f(long par1)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### McoClient

          public McoClient(Session par1Session)

  - ### Method Detail

    - #### func_96382_a

          public ValueObjectList func_96382_a()
                                       throws ExceptionMcoService,
                                              IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_98176_a

          public McoServer func_98176_a(long par1)
                                 throws ExceptionMcoService,
                                        IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_96374_a

          public McoServerAddress func_96374_a(long par1)
                                        throws ExceptionMcoService,
                                               IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_96386_a

          public void func_96386_a(String par1Str,
                          String par2Str,
                          String par3Str,
                          String par4Str)
                            throws ExceptionMcoService,
                                   UnsupportedEncodingException

      Throws:
        `ExceptionMcoService`
        `UnsupportedEncodingException`

    - #### func_96375_b

          public Boolean func_96375_b()
                               throws ExceptionMcoService,
                                      IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_140054_c

          public Boolean func_140054_c()
                                throws ExceptionMcoService,
                                       IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_96379_c

          public int func_96379_c()
                           throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_96381_a

          public void func_96381_a(long par1,
                          String par3Str)
                            throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_140055_c

          public void func_140055_c(long par1)
                             throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_96387_b

          public McoServer func_96387_b(long par1,
                               String par3Str)
                                 throws ExceptionMcoService,
                                        IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_111232_c

          public BackupList func_111232_c(long par1)
                                   throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_96384_a

          public void func_96384_a(long par1,
                          String par3Str,
                          String par4Str,
                          int par5,
                          int par6)
                            throws ExceptionMcoService,
                                   UnsupportedEncodingException

      Throws:
        `ExceptionMcoService`
        `UnsupportedEncodingException`

    - #### func_111235_c

          public void func_111235_c(long par1,
                           String par3Str)
                             throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_111231_d

          public WorldTemplateList func_111231_d()
                                          throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_96383_b

          public Boolean func_96383_b(long par1)
                               throws ExceptionMcoService,
                                      IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_96378_c

          public Boolean func_96378_c(long par1)
                               throws ExceptionMcoService,
                                      IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_96376_d

          public Boolean func_96376_d(long par1,
                             String par3Str)
                               throws ExceptionMcoService,
                                      UnsupportedEncodingException

      Throws:
        `ExceptionMcoService`
        `UnsupportedEncodingException`

    - #### func_111233_e

          public Boolean func_111233_e(long par1,
                              String par3Str)
                                throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_98177_f

          public ValueObjectSubscription func_98177_f(long par1)
                                               throws ExceptionMcoService,
                                                      IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_130106_e

          public int func_130106_e()
                            throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_130108_f

          public PendingInvitesList func_130108_f()
                                           throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_130107_a

          public void func_130107_a(String par1Str)
                             throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_130109_b

          public void func_130109_b(String par1Str)
                             throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`